from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XDatabaseMetaData3(XDatabaseMetaData2, Protocol):
    def getDatabaseMajorVersion(self) -> int: ...
    def getDatabaseMinorVersion(self) -> int: ...
